Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface DnaFragment

All Superinterfaces:
  Persistent, java.io.Serializable

public interface DnaFragment
extends Persistent

I am a part of the compara- analysis. I store a fragment of the chromsome for a particular species.

Method Summary
`java.lang.String` | `getCoordSystemName()`
`GenomeDB` | `getGenomeDB()`
`long` | `getGenomeDbInternalId()`
`int` | `getLength()`
`Location` | `getLocation()`
`java.lang.String` | `getName()`
`void` | `setCoordSystemName(java.lang.String newValue)`
`void` | `setGenomeDB(GenomeDB genomeDB)`
`void` | `setGenomeDbInternalId(long id)`
`void` | `setLength(int location)`
`void` | `setLocation(Location location)`
`void` | `setName(java.lang.String newValue)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getGenomeDB

    public GenomeDB getGenomeDB()

### setGenomeDB

    public void setGenomeDB(GenomeDB genomeDB)

### getGenomeDbInternalId

    public long getGenomeDbInternalId()

### setGenomeDbInternalId

    public void setGenomeDbInternalId(long id)

### getCoordSystemName

    public java.lang.String getCoordSystemName()

### setCoordSystemName

    public void setCoordSystemName(java.lang.String newValue)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String newValue)

### setLength

    public void setLength(int location)

### getLength

    public int getLength()

### setLocation

    public void setLocation(Location location)

### getLocation

    public Location getLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD